/*
 * Created on Oct 18, 2005
 *
 */
package se.umu.jobsubmission.client;

import java.io.FileInputStream;

import org.ggf.schemas.jsdl._2005._11.jsdl.JobDefinition_Type;
import org.globus.wsrf.encoding.ObjectDeserializer;
import org.xml.sax.InputSource;

import se.umu.jobsubmission.util.JobDescriptionTranslator;

/**
 * @author tordsson
 * 
 * Parse (deserialize) a JSDL file and return the resulting 
 * JSDL document. Allows users to specify their jobs 
 * directly in JSDL. 
 *
 */
public class JSDL2JSDL implements JobDescriptionTranslator {
	
	
	public Object translate(Object jobDescription) throws Exception {
		
		String fileName = (String) jobDescription; 
		
	    FileInputStream input = new FileInputStream(fileName); 
        InputSource inputSource = new InputSource(input); 
        return (JobDefinition_Type) ObjectDeserializer.deserialize(inputSource, 
        		JobDefinition_Type.class); 
		
	}

}
