# This file was created automatically by SWIG 1.3.28.
# Don't modify this file, modify the SWIG interface instead.
package arclib;
require Exporter;
require DynaLoader;
@ISA = qw(Exporter DynaLoader);
package arclibc;
bootstrap arclib;
package arclib;
@EXPORT = qw( );

# ---------- BASE METHODS -------------

package arclib;

sub TIEHASH {
    my ($classname,$obj) = @_;
    return bless $obj, $classname;
}

sub CLEAR { }

sub FIRSTKEY { }

sub NEXTKEY { }

sub FETCH {
    my ($self,$field) = @_;
    my $member_func = "swig_${field}_get";
    $self->$member_func();
}

sub STORE {
    my ($self,$field,$newval) = @_;
    my $member_func = "swig_${field}_set";
    $self->$member_func($newval);
}

sub this {
    my $ptr = shift;
    return tied(%$ptr);
}


# ------- FUNCTION WRAPPERS --------

package arclib;

*PerformBrokering = *arclibc::PerformBrokering;
*GetCAList = *arclibc::GetCAList;
*CheckIssuer = *arclibc::CheckIssuer;
*GetEnv = *arclibc::GetEnv;
*ReadFile = *arclibc::ReadFile;
*GlobusErrorString = *arclibc::GlobusErrorString;
*LockFile = *arclibc::LockFile;
*UnlockFile = *arclibc::UnlockFile;
*MkDir = *arclibc::MkDir;
*timegm = *arclibc::timegm;
*TimeStamp = *arclibc::TimeStamp;
*Period = *arclibc::Period;
*Seconds = *arclibc::Seconds;
*GetGIISList = *arclibc::GetGIISList;
*ConvertToURLs = *arclibc::ConvertToURLs;
*CancelJob = *arclibc::CancelJob;
*CleanJob = *arclibc::CleanJob;
*ResumeJob = *arclibc::ResumeJob;
*RenewCreds = *arclibc::RenewCreds;
*GetJobInfoDirect = *arclibc::GetJobInfoDirect;
*GetJobIDs = *arclibc::GetJobIDs;
*GetJobIDsList = *arclibc::GetJobIDsList;
*AddJobID = *arclibc::AddJobID;
*RemoveJobID = *arclibc::RemoveJobID;
*PrepareJobSubmission = *arclibc::PrepareJobSubmission;
*SubmitJob = *arclibc::SubmitJob;
*GetClusterResources = *arclibc::GetClusterResources;
*GetSEResources = *arclibc::GetSEResources;
*GetRCResources = *arclibc::GetRCResources;
*GetResources = *arclibc::GetResources;
*SetJobAttribute = *arclibc::SetJobAttribute;
*SetUserAttribute = *arclibc::SetUserAttribute;
*SetQueueAttribute = *arclibc::SetQueueAttribute;
*SetClusterAttribute = *arclibc::SetClusterAttribute;
*SetStorageElementAttribute = *arclibc::SetStorageElementAttribute;
*SetReplicaCatalogAttribute = *arclibc::SetReplicaCatalogAttribute;
*GetAllJobs = *arclibc::GetAllJobs;
*GetJobInfo = *arclibc::GetJobInfo;
*GetClusterInfo = *arclibc::GetClusterInfo;
*GetQueueInfo = *arclibc::GetQueueInfo;
*GetSEInfo = *arclibc::GetSEInfo;
*GetRCInfo = *arclibc::GetRCInfo;
*SetNotifyLevel = *arclibc::SetNotifyLevel;
*GetNotifyLevel = *arclibc::GetNotifyLevel;
*SetNotifyTimeStamp = *arclibc::SetNotifyTimeStamp;
*notify = *arclibc::notify;
*PerformStandardBrokering = *arclibc::PerformStandardBrokering;
*StringConvErrorString = *arclibc::StringConvErrorString;
*ConstructTargets = *arclibc::ConstructTargets;
*PerformXrslValidation = *arclibc::PerformXrslValidation;

############# Class : arclib::string_list ##############

package arclib::string_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_string_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::string_list_size;
*empty = *arclibc::string_list_empty;
*clear = *arclibc::string_list_clear;
*push = *arclibc::string_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_string_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::xrsl_list ##############

package arclib::xrsl_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_xrsl_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::xrsl_list_size;
*empty = *arclibc::xrsl_list_empty;
*clear = *arclibc::xrsl_list_clear;
*push = *arclibc::xrsl_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_xrsl_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::cert_list ##############

package arclib::cert_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_cert_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::cert_list_size;
*empty = *arclibc::cert_list_empty;
*clear = *arclibc::cert_list_clear;
*push = *arclibc::cert_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_cert_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::job_list ##############

package arclib::job_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_job_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::job_list_size;
*empty = *arclibc::job_list_empty;
*clear = *arclibc::job_list_clear;
*push = *arclibc::job_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_job_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::cluster_list ##############

package arclib::cluster_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_cluster_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::cluster_list_size;
*empty = *arclibc::cluster_list_empty;
*clear = *arclibc::cluster_list_clear;
*push = *arclibc::cluster_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_cluster_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::queue_list ##############

package arclib::queue_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_queue_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::queue_list_size;
*empty = *arclibc::queue_list_empty;
*clear = *arclibc::queue_list_clear;
*push = *arclibc::queue_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_queue_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::user_list ##############

package arclib::user_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_user_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::user_list_size;
*empty = *arclibc::user_list_empty;
*clear = *arclibc::user_list_clear;
*push = *arclibc::user_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_user_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::se_list ##############

package arclib::se_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_se_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::se_list_size;
*empty = *arclibc::se_list_empty;
*clear = *arclibc::se_list_clear;
*push = *arclibc::se_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_se_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::rc_list ##############

package arclib::rc_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_rc_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::rc_list_size;
*empty = *arclibc::rc_list_empty;
*clear = *arclibc::rc_list_clear;
*push = *arclibc::rc_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_rc_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::fileinfo_list ##############

package arclib::fileinfo_list;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_fileinfo_list(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::fileinfo_list_size;
*empty = *arclibc::fileinfo_list_empty;
*clear = *arclibc::fileinfo_list_clear;
*push = *arclibc::fileinfo_list_push;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_fileinfo_list($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::string_vector ##############

package arclib::string_vector;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_string_vector(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::string_vector_size;
*empty = *arclibc::string_vector_empty;
*clear = *arclibc::string_vector_clear;
*push = *arclibc::string_vector_push;
*pop = *arclibc::string_vector_pop;
*get = *arclibc::string_vector_get;
*set = *arclibc::string_vector_set;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_string_vector($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::map_long_int ##############

package arclib::map_long_int;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_map_long_int(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::map_long_int_size;
*empty = *arclibc::map_long_int_empty;
*clear = *arclibc::map_long_int_clear;
*get = *arclibc::map_long_int_get;
*set = *arclibc::map_long_int_set;
*del = *arclibc::map_long_int_del;
*has_key = *arclibc::map_long_int_has_key;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_map_long_int($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::map_int_int ##############

package arclib::map_int_int;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_map_int_int(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::map_int_int_size;
*empty = *arclibc::map_int_int_empty;
*clear = *arclibc::map_int_int_clear;
*get = *arclibc::map_int_int_get;
*set = *arclibc::map_int_int_set;
*del = *arclibc::map_int_int_del;
*has_key = *arclibc::map_int_int_has_key;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_map_int_int($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::map_string_float ##############

package arclib::map_string_float;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_map_string_float(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::map_string_float_size;
*empty = *arclibc::map_string_float_empty;
*clear = *arclibc::map_string_float_clear;
*get = *arclibc::map_string_float_get;
*set = *arclibc::map_string_float_set;
*del = *arclibc::map_string_float_del;
*has_key = *arclibc::map_string_float_has_key;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_map_string_float($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::map_string_string ##############

package arclib::map_string_string;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_map_string_string(@_);
    bless $self, $pkg if defined($self);
}

*size = *arclibc::map_string_string_size;
*empty = *arclibc::map_string_string_empty;
*clear = *arclibc::map_string_string_clear;
*get = *arclibc::map_string_string_get;
*set = *arclibc::map_string_string_set;
*del = *arclibc::map_string_string_del;
*has_key = *arclibc::map_string_string_has_key;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_map_string_string($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::ARCLibError ##############

package arclib::ARCLibError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_ARCLibError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_ARCLibError($self);
        delete $OWNER{$self};
    }
}

*what = *arclibc::ARCLibError_what;
*__str__ = *arclibc::ARCLibError___str__;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Broker ##############

package arclib::Broker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Broker($self);
        delete $OWNER{$self};
    }
}

*DoBrokering = *arclibc::Broker_DoBrokering;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::CertificateError ##############

package arclib::CertificateError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_CertificateError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_CertificateError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Certificate ##############

package arclib::Certificate;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Certificate(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Certificate($self);
        delete $OWNER{$self};
    }
}

*GetIssuerCert = *arclibc::Certificate_GetIssuerCert;
*PLAIN = *arclibc::Certificate_PLAIN;
*X509 = *arclibc::Certificate_X509;
*LDAP1 = *arclibc::Certificate_LDAP1;
*LDAP2 = *arclibc::Certificate_LDAP2;
*GetSN = *arclibc::Certificate_GetSN;
*GetIssuerSN = *arclibc::Certificate_GetIssuerSN;
*GetIdentitySN = *arclibc::Certificate_GetIdentitySN;
*GetCertFilename = *arclibc::Certificate_GetCertFilename;
*ExpiryTime = *arclibc::Certificate_ExpiryTime;
*Expires = *arclibc::Certificate_Expires;
*ValidFor = *arclibc::Certificate_ValidFor;
*IsExpired = *arclibc::Certificate_IsExpired;
*IsSelfSigned = *arclibc::Certificate_IsSelfSigned;
*ConvertSN = *arclibc::Certificate_ConvertSN;
*__str__ = *arclibc::Certificate___str__;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::TimeError ##############

package arclib::TimeError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_TimeError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_TimeError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Time ##############

package arclib::Time;
use overload
    '""' => sub { $_[0]->__str__()},
    "<" => sub { $_[0]->__lt__($_[1])},
    "!=" => sub { $_[0]->__ne__($_[1])},
    "==" => sub { $_[0]->__eq__($_[1])},
    ">" => sub { $_[0]->__gt__($_[1])},
    "fallback" => 1;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Time(@_);
    bless $self, $pkg if defined($self);
}

*SetTime = *arclibc::Time_SetTime;
*GetTime = *arclibc::Time_GetTime;
*SetFormat = *arclibc::Time_SetFormat;
*GetFormat = *arclibc::Time_GetFormat;
*__str__ = *arclibc::Time___str__;
*__lt__ = *arclibc::Time___lt__;
*__gt__ = *arclibc::Time___gt__;
*__le__ = *arclibc::Time___le__;
*__ge__ = *arclibc::Time___ge__;
*__eq__ = *arclibc::Time___eq__;
*__ne__ = *arclibc::Time___ne__;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Time($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::FileInfo ##############

package arclib::FileInfo;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
*swig_filename_get = *arclibc::FileInfo_filename_get;
*swig_filename_set = *arclibc::FileInfo_filename_set;
*swig_size_get = *arclibc::FileInfo_size_get;
*swig_size_set = *arclibc::FileInfo_size_set;
*swig_isdir_get = *arclibc::FileInfo_isdir_get;
*swig_isdir_set = *arclibc::FileInfo_isdir_set;
*__str__ = *arclibc::FileInfo___str__;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_FileInfo(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_FileInfo($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::FTPControlError ##############

package arclib::FTPControlError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_FTPControlError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_FTPControlError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::FTPControl ##############

package arclib::FTPControl;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_FTPControl(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_FTPControl($self);
        delete $OWNER{$self};
    }
}

*ListDir = *arclibc::FTPControl_ListDir;
*RecursiveListDir = *arclibc::FTPControl_RecursiveListDir;
*Size = *arclibc::FTPControl_Size;
*DownloadDirectory = *arclibc::FTPControl_DownloadDirectory;
*Download = *arclibc::FTPControl_Download;
*Upload = *arclibc::FTPControl_Upload;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::GIISError ##############

package arclib::GIISError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_GIISError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_GIISError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::JobFTPControlError ##############

package arclib::JobFTPControlError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::FTPControlError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_JobFTPControlError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_JobFTPControlError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::JobFTPControl ##############

package arclib::JobFTPControl;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::FTPControl arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_JobFTPControl(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_JobFTPControl($self);
        delete $OWNER{$self};
    }
}

*Cancel = *arclibc::JobFTPControl_Cancel;
*Clean = *arclibc::JobFTPControl_Clean;
*RenewCreds = *arclibc::JobFTPControl_RenewCreds;
*Resume = *arclibc::JobFTPControl_Resume;
*GetJobInfo = *arclibc::JobFTPControl_GetJobInfo;
*Submit = *arclibc::JobFTPControl_Submit;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::JobSubmissionError ##############

package arclib::JobSubmissionError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_JobSubmissionError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_JobSubmissionError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::JobSubmission ##############

package arclib::JobSubmission;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_JobSubmission(@_);
    bless $self, $pkg if defined($self);
}

*Submit = *arclibc::JobSubmission_Submit;
*PrepareXrsl = *arclibc::JobSubmission_PrepareXrsl;
*RegisterJobsubmission = *arclibc::JobSubmission_RegisterJobsubmission;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_JobSubmission($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::LdapQueryError ##############

package arclib::LdapQueryError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_LdapQueryError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_LdapQueryError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::LdapQuery ##############

package arclib::LdapQuery;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_LdapQuery(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_LdapQuery($self);
        delete $OWNER{$self};
    }
}

*base = *arclibc::LdapQuery_base;
*onelevel = *arclibc::LdapQuery_onelevel;
*subtree = *arclibc::LdapQuery_subtree;
*Query = *arclibc::LdapQuery_Query;
*Result = *arclibc::LdapQuery_Result;
*Host = *arclibc::LdapQuery_Host;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::ParallelLdapQueries ##############

package arclib::ParallelLdapQueries;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_ParallelLdapQueries(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_ParallelLdapQueries($self);
        delete $OWNER{$self};
    }
}

*Query = *arclibc::ParallelLdapQueries_Query;
*DoLdapQuery = *arclibc::ParallelLdapQueries_DoLdapQuery;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::MDSDiscoveryError ##############

package arclib::MDSDiscoveryError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_MDSDiscoveryError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_MDSDiscoveryError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::MDSQueryError ##############

package arclib::MDSQueryError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_MDSQueryError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_MDSQueryError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Notify ##############

package arclib::Notify;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Notify($self);
        delete $OWNER{$self};
    }
}

*getNotifier = *arclibc::Notify_getNotifier;
*GetNullStream = *arclibc::Notify_GetNullStream;
*GetOutStream = *arclibc::Notify_GetOutStream;
*SetOutStream = *arclibc::Notify_SetOutStream;
*GetNotifyLevel = *arclibc::Notify_GetNotifyLevel;
*SetNotifyLevel = *arclibc::Notify_SetNotifyLevel;
*SetNotifyTimeStamp = *arclibc::Notify_SetNotifyTimeStamp;
*GetNotifyTimeStamp = *arclibc::Notify_GetNotifyTimeStamp;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Job ##############

package arclib::Job;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Job(@_);
    bless $self, $pkg if defined($self);
}

*swig_id_get = *arclibc::Job_id_get;
*swig_id_set = *arclibc::Job_id_set;
*swig_owner_get = *arclibc::Job_owner_get;
*swig_owner_set = *arclibc::Job_owner_set;
*swig_cluster_get = *arclibc::Job_cluster_get;
*swig_cluster_set = *arclibc::Job_cluster_set;
*swig_queue_get = *arclibc::Job_queue_get;
*swig_queue_set = *arclibc::Job_queue_set;
*swig_sstdout_get = *arclibc::Job_sstdout_get;
*swig_sstdout_set = *arclibc::Job_sstdout_set;
*swig_sstderr_get = *arclibc::Job_sstderr_get;
*swig_sstderr_set = *arclibc::Job_sstderr_set;
*swig_sstdin_get = *arclibc::Job_sstdin_get;
*swig_sstdin_set = *arclibc::Job_sstdin_set;
*swig_rerunable_get = *arclibc::Job_rerunable_get;
*swig_rerunable_set = *arclibc::Job_rerunable_set;
*swig_requested_cpu_time_get = *arclibc::Job_requested_cpu_time_get;
*swig_requested_cpu_time_set = *arclibc::Job_requested_cpu_time_set;
*swig_requested_wall_time_get = *arclibc::Job_requested_wall_time_get;
*swig_requested_wall_time_set = *arclibc::Job_requested_wall_time_set;
*swig_status_get = *arclibc::Job_status_get;
*swig_status_set = *arclibc::Job_status_set;
*swig_queue_rank_get = *arclibc::Job_queue_rank_get;
*swig_queue_rank_set = *arclibc::Job_queue_rank_set;
*swig_comment_get = *arclibc::Job_comment_get;
*swig_comment_set = *arclibc::Job_comment_set;
*swig_submission_ui_get = *arclibc::Job_submission_ui_get;
*swig_submission_ui_set = *arclibc::Job_submission_ui_set;
*swig_submission_time_get = *arclibc::Job_submission_time_get;
*swig_submission_time_set = *arclibc::Job_submission_time_set;
*swig_completion_time_get = *arclibc::Job_completion_time_get;
*swig_completion_time_set = *arclibc::Job_completion_time_set;
*swig_used_cpu_time_get = *arclibc::Job_used_cpu_time_get;
*swig_used_cpu_time_set = *arclibc::Job_used_cpu_time_set;
*swig_used_wall_time_get = *arclibc::Job_used_wall_time_get;
*swig_used_wall_time_set = *arclibc::Job_used_wall_time_set;
*swig_erase_time_get = *arclibc::Job_erase_time_get;
*swig_erase_time_set = *arclibc::Job_erase_time_set;
*swig_used_memory_get = *arclibc::Job_used_memory_get;
*swig_used_memory_set = *arclibc::Job_used_memory_set;
*swig_errors_get = *arclibc::Job_errors_get;
*swig_errors_set = *arclibc::Job_errors_set;
*swig_exitcode_get = *arclibc::Job_exitcode_get;
*swig_exitcode_set = *arclibc::Job_exitcode_set;
*swig_job_name_get = *arclibc::Job_job_name_get;
*swig_job_name_set = *arclibc::Job_job_name_set;
*swig_runtime_environments_get = *arclibc::Job_runtime_environments_get;
*swig_runtime_environments_set = *arclibc::Job_runtime_environments_set;
*swig_cpu_count_get = *arclibc::Job_cpu_count_get;
*swig_cpu_count_set = *arclibc::Job_cpu_count_set;
*swig_execution_nodes_get = *arclibc::Job_execution_nodes_get;
*swig_execution_nodes_set = *arclibc::Job_execution_nodes_set;
*swig_gmlog_get = *arclibc::Job_gmlog_get;
*swig_gmlog_set = *arclibc::Job_gmlog_set;
*swig_client_software_get = *arclibc::Job_client_software_get;
*swig_client_software_set = *arclibc::Job_client_software_set;
*swig_proxy_expire_time_get = *arclibc::Job_proxy_expire_time_get;
*swig_proxy_expire_time_set = *arclibc::Job_proxy_expire_time_set;
*swig_mds_validfrom_get = *arclibc::Job_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::Job_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::Job_mds_validto_get;
*swig_mds_validto_set = *arclibc::Job_mds_validto_set;
*__str__ = *arclibc::Job___str__;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Job($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::User ##############

package arclib::User;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_User(@_);
    bless $self, $pkg if defined($self);
}

*swig_name_get = *arclibc::User_name_get;
*swig_name_set = *arclibc::User_name_set;
*swig_subject_name_get = *arclibc::User_subject_name_get;
*swig_subject_name_set = *arclibc::User_subject_name_set;
*swig_free_cpus_get = *arclibc::User_free_cpus_get;
*swig_free_cpus_set = *arclibc::User_free_cpus_set;
*swig_free_diskspace_get = *arclibc::User_free_diskspace_get;
*swig_free_diskspace_set = *arclibc::User_free_diskspace_set;
*swig_queue_length_get = *arclibc::User_queue_length_get;
*swig_queue_length_set = *arclibc::User_queue_length_set;
*swig_mds_validfrom_get = *arclibc::User_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::User_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::User_mds_validto_get;
*swig_mds_validto_set = *arclibc::User_mds_validto_set;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_User($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Cluster ##############

package arclib::Cluster;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Cluster(@_);
    bless $self, $pkg if defined($self);
}

*swig_hostname_get = *arclibc::Cluster_hostname_get;
*swig_hostname_set = *arclibc::Cluster_hostname_set;
*swig_queues_get = *arclibc::Cluster_queues_get;
*swig_queues_set = *arclibc::Cluster_queues_set;
*swig_alias_get = *arclibc::Cluster_alias_get;
*swig_alias_set = *arclibc::Cluster_alias_set;
*swig_owners_get = *arclibc::Cluster_owners_get;
*swig_owners_set = *arclibc::Cluster_owners_set;
*swig_location_get = *arclibc::Cluster_location_get;
*swig_location_set = *arclibc::Cluster_location_set;
*swig_issuer_ca_get = *arclibc::Cluster_issuer_ca_get;
*swig_issuer_ca_set = *arclibc::Cluster_issuer_ca_set;
*swig_contact_get = *arclibc::Cluster_contact_get;
*swig_contact_set = *arclibc::Cluster_contact_set;
*swig_interactive_contact_get = *arclibc::Cluster_interactive_contact_get;
*swig_interactive_contact_set = *arclibc::Cluster_interactive_contact_set;
*swig_support_get = *arclibc::Cluster_support_get;
*swig_support_set = *arclibc::Cluster_support_set;
*swig_lrms_type_get = *arclibc::Cluster_lrms_type_get;
*swig_lrms_type_set = *arclibc::Cluster_lrms_type_set;
*swig_lrms_version_get = *arclibc::Cluster_lrms_version_get;
*swig_lrms_version_set = *arclibc::Cluster_lrms_version_set;
*swig_lrms_config_get = *arclibc::Cluster_lrms_config_get;
*swig_lrms_config_set = *arclibc::Cluster_lrms_config_set;
*swig_architecture_get = *arclibc::Cluster_architecture_get;
*swig_architecture_set = *arclibc::Cluster_architecture_set;
*swig_operating_systems_get = *arclibc::Cluster_operating_systems_get;
*swig_operating_systems_set = *arclibc::Cluster_operating_systems_set;
*swig_homogeneity_get = *arclibc::Cluster_homogeneity_get;
*swig_homogeneity_set = *arclibc::Cluster_homogeneity_set;
*swig_node_cpu_get = *arclibc::Cluster_node_cpu_get;
*swig_node_cpu_set = *arclibc::Cluster_node_cpu_set;
*swig_cpu_freq_get = *arclibc::Cluster_cpu_freq_get;
*swig_cpu_freq_set = *arclibc::Cluster_cpu_freq_set;
*swig_node_memory_get = *arclibc::Cluster_node_memory_get;
*swig_node_memory_set = *arclibc::Cluster_node_memory_set;
*swig_total_cpus_get = *arclibc::Cluster_total_cpus_get;
*swig_total_cpus_set = *arclibc::Cluster_total_cpus_set;
*swig_cpu_distribution_get = *arclibc::Cluster_cpu_distribution_get;
*swig_cpu_distribution_set = *arclibc::Cluster_cpu_distribution_set;
*swig_session_dir_free_get = *arclibc::Cluster_session_dir_free_get;
*swig_session_dir_free_set = *arclibc::Cluster_session_dir_free_set;
*swig_session_dir_total_get = *arclibc::Cluster_session_dir_total_get;
*swig_session_dir_total_set = *arclibc::Cluster_session_dir_total_set;
*swig_session_dir_lifetime_get = *arclibc::Cluster_session_dir_lifetime_get;
*swig_session_dir_lifetime_set = *arclibc::Cluster_session_dir_lifetime_set;
*swig_cache_free_get = *arclibc::Cluster_cache_free_get;
*swig_cache_free_set = *arclibc::Cluster_cache_free_set;
*swig_cache_total_get = *arclibc::Cluster_cache_total_get;
*swig_cache_total_set = *arclibc::Cluster_cache_total_set;
*swig_runtime_environments_get = *arclibc::Cluster_runtime_environments_get;
*swig_runtime_environments_set = *arclibc::Cluster_runtime_environments_set;
*swig_local_se_get = *arclibc::Cluster_local_se_get;
*swig_local_se_set = *arclibc::Cluster_local_se_set;
*swig_middlewares_get = *arclibc::Cluster_middlewares_get;
*swig_middlewares_set = *arclibc::Cluster_middlewares_set;
*swig_total_jobs_get = *arclibc::Cluster_total_jobs_get;
*swig_total_jobs_set = *arclibc::Cluster_total_jobs_set;
*swig_used_cpus_get = *arclibc::Cluster_used_cpus_get;
*swig_used_cpus_set = *arclibc::Cluster_used_cpus_set;
*swig_queued_jobs_get = *arclibc::Cluster_queued_jobs_get;
*swig_queued_jobs_set = *arclibc::Cluster_queued_jobs_set;
*swig_node_access_get = *arclibc::Cluster_node_access_get;
*swig_node_access_set = *arclibc::Cluster_node_access_set;
*swig_comment_get = *arclibc::Cluster_comment_get;
*swig_comment_set = *arclibc::Cluster_comment_set;
*swig_benchmarks_get = *arclibc::Cluster_benchmarks_get;
*swig_benchmarks_set = *arclibc::Cluster_benchmarks_set;
*swig_mds_validfrom_get = *arclibc::Cluster_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::Cluster_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::Cluster_mds_validto_get;
*swig_mds_validto_set = *arclibc::Cluster_mds_validto_set;
*__str__ = *arclibc::Cluster___str__;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Cluster($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Queue ##############

package arclib::Queue;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Queue(@_);
    bless $self, $pkg if defined($self);
}

*swig_cluster_get = *arclibc::Queue_cluster_get;
*swig_cluster_set = *arclibc::Queue_cluster_set;
*swig_name_get = *arclibc::Queue_name_get;
*swig_name_set = *arclibc::Queue_name_set;
*swig_jobs_get = *arclibc::Queue_jobs_get;
*swig_jobs_set = *arclibc::Queue_jobs_set;
*swig_users_get = *arclibc::Queue_users_get;
*swig_users_set = *arclibc::Queue_users_set;
*swig_status_get = *arclibc::Queue_status_get;
*swig_status_set = *arclibc::Queue_status_set;
*swig_running_get = *arclibc::Queue_running_get;
*swig_running_set = *arclibc::Queue_running_set;
*swig_queued_get = *arclibc::Queue_queued_get;
*swig_queued_set = *arclibc::Queue_queued_set;
*swig_max_running_get = *arclibc::Queue_max_running_get;
*swig_max_running_set = *arclibc::Queue_max_running_set;
*swig_max_queuable_get = *arclibc::Queue_max_queuable_get;
*swig_max_queuable_set = *arclibc::Queue_max_queuable_set;
*swig_max_user_run_get = *arclibc::Queue_max_user_run_get;
*swig_max_user_run_set = *arclibc::Queue_max_user_run_set;
*swig_max_cpu_time_get = *arclibc::Queue_max_cpu_time_get;
*swig_max_cpu_time_set = *arclibc::Queue_max_cpu_time_set;
*swig_min_cpu_time_get = *arclibc::Queue_min_cpu_time_get;
*swig_min_cpu_time_set = *arclibc::Queue_min_cpu_time_set;
*swig_default_cpu_time_get = *arclibc::Queue_default_cpu_time_get;
*swig_default_cpu_time_set = *arclibc::Queue_default_cpu_time_set;
*swig_scheduling_policy_get = *arclibc::Queue_scheduling_policy_get;
*swig_scheduling_policy_set = *arclibc::Queue_scheduling_policy_set;
*swig_total_cpus_get = *arclibc::Queue_total_cpus_get;
*swig_total_cpus_set = *arclibc::Queue_total_cpus_set;
*swig_node_cpu_get = *arclibc::Queue_node_cpu_get;
*swig_node_cpu_set = *arclibc::Queue_node_cpu_set;
*swig_cpu_freq_get = *arclibc::Queue_cpu_freq_get;
*swig_cpu_freq_set = *arclibc::Queue_cpu_freq_set;
*swig_node_memory_get = *arclibc::Queue_node_memory_get;
*swig_node_memory_set = *arclibc::Queue_node_memory_set;
*swig_architecture_get = *arclibc::Queue_architecture_get;
*swig_architecture_set = *arclibc::Queue_architecture_set;
*swig_operating_systems_get = *arclibc::Queue_operating_systems_get;
*swig_operating_systems_set = *arclibc::Queue_operating_systems_set;
*swig_grid_running_get = *arclibc::Queue_grid_running_get;
*swig_grid_running_set = *arclibc::Queue_grid_running_set;
*swig_grid_queued_get = *arclibc::Queue_grid_queued_get;
*swig_grid_queued_set = *arclibc::Queue_grid_queued_set;
*swig_homogeneity_get = *arclibc::Queue_homogeneity_get;
*swig_homogeneity_set = *arclibc::Queue_homogeneity_set;
*swig_benchmarks_get = *arclibc::Queue_benchmarks_get;
*swig_benchmarks_set = *arclibc::Queue_benchmarks_set;
*swig_comment_get = *arclibc::Queue_comment_get;
*swig_comment_set = *arclibc::Queue_comment_set;
*swig_runtime_environments_get = *arclibc::Queue_runtime_environments_get;
*swig_runtime_environments_set = *arclibc::Queue_runtime_environments_set;
*swig_middlewares_get = *arclibc::Queue_middlewares_get;
*swig_middlewares_set = *arclibc::Queue_middlewares_set;
*swig_mds_validfrom_get = *arclibc::Queue_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::Queue_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::Queue_mds_validto_get;
*swig_mds_validto_set = *arclibc::Queue_mds_validto_set;
*__str__ = *arclibc::Queue___str__;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Queue($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::StorageElement ##############

package arclib::StorageElement;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_StorageElement(@_);
    bless $self, $pkg if defined($self);
}

*swig_name_get = *arclibc::StorageElement_name_get;
*swig_name_set = *arclibc::StorageElement_name_set;
*swig_alias_get = *arclibc::StorageElement_alias_get;
*swig_alias_set = *arclibc::StorageElement_alias_set;
*swig_type_get = *arclibc::StorageElement_type_get;
*swig_type_set = *arclibc::StorageElement_type_set;
*swig_free_space_get = *arclibc::StorageElement_free_space_get;
*swig_free_space_set = *arclibc::StorageElement_free_space_set;
*swig_url_get = *arclibc::StorageElement_url_get;
*swig_url_set = *arclibc::StorageElement_url_set;
*swig_auth_users_get = *arclibc::StorageElement_auth_users_get;
*swig_auth_users_set = *arclibc::StorageElement_auth_users_set;
*swig_location_get = *arclibc::StorageElement_location_get;
*swig_location_set = *arclibc::StorageElement_location_set;
*swig_owners_get = *arclibc::StorageElement_owners_get;
*swig_owners_set = *arclibc::StorageElement_owners_set;
*swig_ca_issuer_get = *arclibc::StorageElement_ca_issuer_get;
*swig_ca_issuer_set = *arclibc::StorageElement_ca_issuer_set;
*swig_access_control_get = *arclibc::StorageElement_access_control_get;
*swig_access_control_set = *arclibc::StorageElement_access_control_set;
*swig_total_space_get = *arclibc::StorageElement_total_space_get;
*swig_total_space_set = *arclibc::StorageElement_total_space_set;
*swig_middlewares_get = *arclibc::StorageElement_middlewares_get;
*swig_middlewares_set = *arclibc::StorageElement_middlewares_set;
*swig_comment_get = *arclibc::StorageElement_comment_get;
*swig_comment_set = *arclibc::StorageElement_comment_set;
*swig_mds_validfrom_get = *arclibc::StorageElement_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::StorageElement_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::StorageElement_mds_validto_get;
*swig_mds_validto_set = *arclibc::StorageElement_mds_validto_set;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_StorageElement($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::ReplicaCatalog ##############

package arclib::ReplicaCatalog;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_ReplicaCatalog(@_);
    bless $self, $pkg if defined($self);
}

*swig_name_get = *arclibc::ReplicaCatalog_name_get;
*swig_name_set = *arclibc::ReplicaCatalog_name_set;
*swig_alias_get = *arclibc::ReplicaCatalog_alias_get;
*swig_alias_set = *arclibc::ReplicaCatalog_alias_set;
*swig_base_url_get = *arclibc::ReplicaCatalog_base_url_get;
*swig_base_url_set = *arclibc::ReplicaCatalog_base_url_set;
*swig_auth_users_get = *arclibc::ReplicaCatalog_auth_users_get;
*swig_auth_users_set = *arclibc::ReplicaCatalog_auth_users_set;
*swig_location_get = *arclibc::ReplicaCatalog_location_get;
*swig_location_set = *arclibc::ReplicaCatalog_location_set;
*swig_owners_get = *arclibc::ReplicaCatalog_owners_get;
*swig_owners_set = *arclibc::ReplicaCatalog_owners_set;
*swig_ca_issuer_get = *arclibc::ReplicaCatalog_ca_issuer_get;
*swig_ca_issuer_set = *arclibc::ReplicaCatalog_ca_issuer_set;
*swig_mds_validfrom_get = *arclibc::ReplicaCatalog_mds_validfrom_get;
*swig_mds_validfrom_set = *arclibc::ReplicaCatalog_mds_validfrom_set;
*swig_mds_validto_get = *arclibc::ReplicaCatalog_mds_validto_get;
*swig_mds_validto_set = *arclibc::ReplicaCatalog_mds_validto_set;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_ReplicaCatalog($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::RuntimeEnvironmentError ##############

package arclib::RuntimeEnvironmentError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_RuntimeEnvironmentError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_RuntimeEnvironmentError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::RuntimeEnvironment ##############

package arclib::RuntimeEnvironment;
use overload
    '""' => sub { $_[0]->__str__()},
    "!=" => sub { $_[0]->__ne__($_[1])},
    "<" => sub { $_[0]->__lt__($_[1])},
    "==" => sub { $_[0]->__eq__($_[1])},
    ">" => sub { $_[0]->__gt__($_[1])},
    "fallback" => 1;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_RuntimeEnvironment(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_RuntimeEnvironment($self);
        delete $OWNER{$self};
    }
}

*__str__ = *arclibc::RuntimeEnvironment___str__;
*Name = *arclibc::RuntimeEnvironment_Name;
*Version = *arclibc::RuntimeEnvironment_Version;
*__eq__ = *arclibc::RuntimeEnvironment___eq__;
*__ne__ = *arclibc::RuntimeEnvironment___ne__;
*__gt__ = *arclibc::RuntimeEnvironment___gt__;
*__lt__ = *arclibc::RuntimeEnvironment___lt__;
*__ge__ = *arclibc::RuntimeEnvironment___ge__;
*__le__ = *arclibc::RuntimeEnvironment___le__;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::ClusterBroker ##############

package arclib::ClusterBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::ClusterBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_ClusterBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_ClusterBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::QueueBroker ##############

package arclib::QueueBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::QueueBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_QueueBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_QueueBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::CountBroker ##############

package arclib::CountBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::CountBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_CountBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_CountBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::MemoryBroker ##############

package arclib::MemoryBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::MemoryBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_MemoryBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_MemoryBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::ArchitectureBroker ##############

package arclib::ArchitectureBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::ArchitectureBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_ArchitectureBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_ArchitectureBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::NodeAccessBroker ##############

package arclib::NodeAccessBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::NodeAccessBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_NodeAccessBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_NodeAccessBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::MiddlewareBroker ##############

package arclib::MiddlewareBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::MiddlewareBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_MiddlewareBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_MiddlewareBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::RuntimeEnvironmentBroker ##############

package arclib::RuntimeEnvironmentBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::RuntimeEnvironmentBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_RuntimeEnvironmentBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_RuntimeEnvironmentBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::OpsysBroker ##############

package arclib::OpsysBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::OpsysBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_OpsysBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_OpsysBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::CpuTimeBroker ##############

package arclib::CpuTimeBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::CpuTimeBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_CpuTimeBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_CpuTimeBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::FreeCpusSortBroker ##############

package arclib::FreeCpusSortBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::FreeCpusSortBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_FreeCpusSortBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_FreeCpusSortBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::RandomSortBroker ##############

package arclib::RandomSortBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::RandomSortBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_RandomSortBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_RandomSortBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::LifeTimeBroker ##############

package arclib::LifeTimeBroker;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Broker arclib );
%OWNER = ();
%ITERATORS = ();
*DoBrokering = *arclibc::LifeTimeBroker_DoBrokering;
sub new {
    my $pkg = shift;
    my $self = arclibc::new_LifeTimeBroker(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_LifeTimeBroker($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::StringConvError ##############

package arclib::StringConvError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_StringConvError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_StringConvError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::TargetError ##############

package arclib::TargetError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_TargetError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_TargetError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Target ##############

package arclib::Target;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::Queue arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Target(@_);
    bless $self, $pkg if defined($self);
}

*AddXrsl = *arclibc::Target_AddXrsl;
*GetXrsls = *arclibc::Target_GetXrsls;
*GetCputime = *arclibc::Target_GetCputime;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Target($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::URLError ##############

package arclib::URLError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_URLError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_URLError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::URL ##############

package arclib::URL;
use overload
    '""' => sub { $_[0]->__str__()},
    "!" => sub { $_[0]->__not__()},
    "<" => sub { $_[0]->__lt__($_[1])},
    "==" => sub { $_[0]->__eq__($_[1])},
    "fallback" => 1;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_URL(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_URL($self);
        delete $OWNER{$self};
    }
}

*Protocol = *arclibc::URL_Protocol;
*Username = *arclibc::URL_Username;
*Passwd = *arclibc::URL_Passwd;
*Host = *arclibc::URL_Host;
*Port = *arclibc::URL_Port;
*Path = *arclibc::URL_Path;
*BaseDN = *arclibc::URL_BaseDN;
*HTTPOptions = *arclibc::URL_HTTPOptions;
*Options = *arclibc::URL_Options;
*Locations = *arclibc::URL_Locations;
*__str__ = *arclibc::URL___str__;
*CanonicalURL = *arclibc::URL_CanonicalURL;
*__lt__ = *arclibc::URL___lt__;
*__eq__ = *arclibc::URL___eq__;
*__not__ = *arclibc::URL___not__;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::URLLocation ##############

package arclib::URLLocation;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::URL arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_URLLocation(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_URLLocation($self);
        delete $OWNER{$self};
    }
}

*Name = *arclibc::URLLocation_Name;
*__str__ = *arclibc::URLLocation___str__;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::XrslError ##############

package arclib::XrslError;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib::ARCLibError arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_XrslError(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_XrslError($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::XrslRelation ##############

package arclib::XrslRelation;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_XrslRelation(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_XrslRelation($self);
        delete $OWNER{$self};
    }
}

*__str__ = *arclibc::XrslRelation___str__;
*GetAttribute = *arclibc::XrslRelation_GetAttribute;
*GetOperator = *arclibc::XrslRelation_GetOperator;
*GetSingleValue = *arclibc::XrslRelation_GetSingleValue;
*GetListValue = *arclibc::XrslRelation_GetListValue;
*GetDoubleListValue = *arclibc::XrslRelation_GetDoubleListValue;
*GetRelation = *arclibc::XrslRelation_GetRelation;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::XrslValidationData ##############

package arclib::XrslValidationData;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_XrslValidationData(@_);
    bless $self, $pkg if defined($self);
}

*swig_attribute_name_get = *arclibc::XrslValidationData_attribute_name_get;
*swig_attribute_name_set = *arclibc::XrslValidationData_attribute_name_set;
*swig_rel_type_get = *arclibc::XrslValidationData_rel_type_get;
*swig_rel_type_set = *arclibc::XrslValidationData_rel_type_set;
*swig_unique_get = *arclibc::XrslValidationData_unique_get;
*swig_unique_set = *arclibc::XrslValidationData_unique_set;
*swig_list_length_get = *arclibc::XrslValidationData_list_length_get;
*swig_list_length_set = *arclibc::XrslValidationData_list_length_set;
*swig_val_type_get = *arclibc::XrslValidationData_val_type_get;
*swig_val_type_set = *arclibc::XrslValidationData_val_type_set;
sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_XrslValidationData($self);
        delete $OWNER{$self};
    }
}

sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


############# Class : arclib::Xrsl ##############

package arclib::Xrsl;
use vars qw(@ISA %OWNER %ITERATORS %BLESSEDMEMBERS);
@ISA = qw( arclib );
%OWNER = ();
%ITERATORS = ();
sub new {
    my $pkg = shift;
    my $self = arclibc::new_Xrsl(@_);
    bless $self, $pkg if defined($self);
}

sub DESTROY {
    return unless $_[0]->isa('HASH');
    my $self = tied(%{$_[0]});
    return unless defined $self;
    delete $ITERATORS{$self};
    if (exists $OWNER{$self}) {
        arclibc::delete_Xrsl($self);
        delete $OWNER{$self};
    }
}

*Print = *arclibc::Xrsl_Print;
*__str__ = *arclibc::Xrsl___str__;
*SplitMulti = *arclibc::Xrsl_SplitMulti;
*SplitOrRelation = *arclibc::Xrsl_SplitOrRelation;
*AddRelation = *arclibc::Xrsl_AddRelation;
*AddSimpleRelation = *arclibc::Xrsl_AddSimpleRelation;
*AddXrsl = *arclibc::Xrsl_AddXrsl;
*GetRelation = *arclibc::Xrsl_GetRelation;
*GetAllRelations = *arclibc::Xrsl_GetAllRelations;
*IsRelation = *arclibc::Xrsl_IsRelation;
*RemoveRelation = *arclibc::Xrsl_RemoveRelation;
*Validate = *arclibc::Xrsl_Validate;
*Eval = *arclibc::Xrsl_Eval;
sub DISOWN {
    my $self = shift;
    my $ptr = tied(%$self);
    delete $OWNER{$ptr};
}

sub ACQUIRE {
    my $self = shift;
    my $ptr = tied(%$self);
    $OWNER{$ptr} = 1;
}


# ------- VARIABLE STUBS --------

package arclib;

*PROXY = *arclibc::PROXY;
*USERCERT = *arclibc::USERCERT;
*HOSTCERT = *arclibc::HOSTCERT;
*UNDEFINED = *arclibc::UNDEFINED;
*TIMEOUT = *arclibc::TIMEOUT;
*MDSTime = *arclibc::MDSTime;
*ASCTime = *arclibc::ASCTime;
*UserTime = *arclibc::UserTime;
*PeriodSeconds = *arclibc::PeriodSeconds;
*PeriodMinutes = *arclibc::PeriodMinutes;
*PeriodHours = *arclibc::PeriodHours;
*PeriodDays = *arclibc::PeriodDays;
*PeriodWeeks = *arclibc::PeriodWeeks;
*HAVE_MEMMOVE = *arclibc::HAVE_MEMMOVE;
*SASLMECH = *arclibc::SASLMECH;
*cluster = *arclibc::cluster;
*storageelement = *arclibc::storageelement;
*replicacatalog = *arclibc::replicacatalog;
*MDS_FILTER_CLUSTERINFO = *arclibc::MDS_FILTER_CLUSTERINFO;
*MDS_FILTER_SEINFO = *arclibc::MDS_FILTER_SEINFO;
*MDS_FILTER_RCINFO = *arclibc::MDS_FILTER_RCINFO;
*MDS_FILTER_JOBINFO = *arclibc::MDS_FILTER_JOBINFO;
*MDS_FILTER_JOBSUBMISSION = *arclibc::MDS_FILTER_JOBSUBMISSION;
*MDS_FILTER_JOBMANIPULATION = *arclibc::MDS_FILTER_JOBMANIPULATION;
*MDS_BASEDN = *arclibc::MDS_BASEDN;
*FATAL = *arclibc::FATAL;
*ERROR = *arclibc::ERROR;
*WARNING = *arclibc::WARNING;
*INFO = *arclibc::INFO;
*DEBUG = *arclibc::DEBUG;
*VERBOSE = *arclibc::VERBOSE;
*RC_DEFAULT_PORT = *arclibc::RC_DEFAULT_PORT;
*RLS_DEFAULT_PORT = *arclibc::RLS_DEFAULT_PORT;
*HTTP_DEFAULT_PORT = *arclibc::HTTP_DEFAULT_PORT;
*HTTPS_DEFAULT_PORT = *arclibc::HTTPS_DEFAULT_PORT;
*HTTPG_DEFAULT_PORT = *arclibc::HTTPG_DEFAULT_PORT;
*LDAP_DEFAULT_PORT = *arclibc::LDAP_DEFAULT_PORT;
*FTP_DEFAULT_PORT = *arclibc::FTP_DEFAULT_PORT;
*GSIFTP_DEFAULT_PORT = *arclibc::GSIFTP_DEFAULT_PORT;
*operator_eq = *arclibc::operator_eq;
*operator_neq = *arclibc::operator_neq;
*operator_gt = *arclibc::operator_gt;
*operator_gteq = *arclibc::operator_gteq;
*operator_lt = *arclibc::operator_lt;
*operator_lteq = *arclibc::operator_lteq;
*operator_and = *arclibc::operator_and;
*operator_or = *arclibc::operator_or;
*operator_multi = *arclibc::operator_multi;
*RELATIONTYPE_LIST = *arclibc::RELATIONTYPE_LIST;
*RELATIONTYPE_STRING = *arclibc::RELATIONTYPE_STRING;
*mandatory = *arclibc::mandatory;
*optional = *arclibc::optional;
*deprecated = *arclibc::deprecated;
1;
