/*
 * Created on Sep 13, 2005
 */
package se.umu.jobsubmission.impl.datamanager;

import java.net.URL; 
import java.util.List; 
import org.globus.mds.glue.GLUECERPType;

import org.ggf.schemas.jsdl._2005._11.jsdl.JobDefinition_Type;

/**
 * Dummy data manager, does nothing
 * This dummy class is needed as the 
 * submitter always invokes the DataManager, even though the
 * dispatcher (or the Grid middleware itself) handles staging
 * of job input files. 

 */
public class DefaultDataManager implements DataManager {

	public void stageIn(GLUECERPType resource, 
			JobDefinition_Type jobDescription,
			String ClientURL) throws Exception { }
	public void transfer(URL to, URL from) { } 
	public int estimateTransferTime(URL to, URL from) {
		return -1; 
	}
	public List resolveLocations(URL lfn) {
		return null; 
	}
}
